"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const usage_1 = require("./usage");
function optionsForCommand(command) {
    switch (command) {
        case 'init' || 'create':
            return ['name', 'n', 'alias', 'a', 'region', 'r', 'schema', 's', 'copy', 'c', 'output', 'o', 'copy-options'];
        case 'push':
            return ['force', 'f'];
        case 'delete':
            return ['project', 'p'];
        case 'pull':
            return ['project', 'p', 'output', 'o', 'force', 'f'];
        case 'auth':
            return ['token', 't'];
    }
    return [];
}
exports.optionsForCommand = optionsForCommand;
function usageForCommand(command) {
    switch (command) {
        case 'pull': return usage_1.usagePull;
        case 'push': return usage_1.usagePush;
        case 'projects': return usage_1.usageProjects;
        case 'init': return usage_1.usageInit;
        case 'auth': return usage_1.usageAuth;
        case 'version': return usage_1.usageVersion;
        case 'console': return usage_1.usageConsole;
        case 'export': return usage_1.usageExport;
        case 'endpoints': return usage_1.usageEndpoints;
        case 'playground': return usage_1.usagePlayground;
        case 'status': return usage_1.usageStatus;
        case 'quickstart': return usage_1.usageQuickstart;
        case 'delete': return usage_1.usageDelete;
    }
    return '';
}
exports.usageForCommand = usageForCommand;
//# sourceMappingURL=arguments.js.map