"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("./constants");
class Config {
    constructor(resolver) {
        this.resolver = resolver;
        this.configs = {};
    }
    set(updates) {
        this.configs = Object.assign(this.configs, updates);
    }
    unset(name) {
        delete this.configs[name];
    }
    get(name) {
        return this.configs[name];
    }
    load() {
        if (!this.resolver.exists(constants_1.graphcoolConfigFilePath)) {
            return;
        }
        const configContent = this.resolver.read(constants_1.graphcoolConfigFilePath);
        this.configs = JSON.parse(configContent);
    }
    save() {
        this.resolver.write(constants_1.graphcoolConfigFilePath, JSON.stringify(this.configs, null, 2));
    }
}
exports.Config = Config;
//# sourceMappingURL=config.js.map